#!/bin/sh

LOGDIR=/Users/virieux/lsst/logs
echo "LOGDIR=$LOGDIR"

cd $LOGDIR

if [ $# = 0 ]
then
        echo "Usage: $0 FILE_NAME RM; si pas d argument, liste tous les fichiers vieux de plus de 30 jours"
	find . -ctime +30 -exec ls -l {} \;
	
else
	FILENAME=$1
	echo "FILENAME=$FILENAME"
	find . -name \*$FILENAME\* -ctime +30 -exec ls -l {} \;

	if [ -z $2 ]
	then
		echo "aucun fichier supprimé"
	else
		if [ $2 = "RM" ]
		then 	
			echo "fichiers à supprimer:"
			find . -name \*$FILENAME\* -ctime +30 -exec ls -l {} \;
			find . -name \*$FILENAME\* -ctime +30 -ok rm {} \;
			echo "les vieux fichiers $FILENAME ont été supprimés"
		fi
	fi
fi
